Users

Delete user

delete
https://{your-bynder-domain}/api/v4/users/{id}

Path Parameters

idstringrequired

The id or username of the user you’d like to delete.

Response

204

User deleted

delete/api/v4/users/{id}
 
204

Retrieve specific user

get
https://{your-bynder-domain}/api/v4/users/{id}

Path Parameters

idstringrequired

The id or username of the user you’d like to retrieve.

Response

200 application/json

Successful response

activeboolean
addressstring
cellphoneNumberstring
citystring
companyNamestring
costCenterstring
countrystring
countystring
departmentstring
departmentCodestring
emailstring
employeeNumberstring
firstnamestring
genderstring
groupsarray[object]
Show Child Parameters
idstring
infixstring
isSSOOnlyboolean
jobstring
languagestring
lastLoginstring(date-time)
lastnamestring
legalEntitystring
persistedboolean
phoneNumberstring
postalCodestring
profileIdstring
statestring
termsstring
timeZonestring
usernamestring
get/api/v4/users/{id}
 
200 application/json

Modify user

post
https://{your-bynder-domain}/api/v4/users/{id}

Path Parameters

idstringrequired

The id of the user you’d like to modify.

Body

application/x-www-form-urlencoded
activeinteger

Allowed values:1

Default:1

companyNamestring
costCenterstring
departmentstring
emailstring
firstnamestring
groupIdsstring
infixstring
isSSOOnlyboolean

Default:false

jobstring
languagestring
lastnamestring
passwordstring
phoneNumberstring
profileIdstring
termsAcceptedboolean
usernamestring

Response

202 application/json

User modified

idstring
usernamestring
post/api/v4/users/{id}

Body

{}
 
202 application/json

Current User

Retrieve information about the currently authenticated user without needing to know their user ID.

Retrieve current user

Retrieve the current user information. Unlike Retrieve specific user this call doesn’t require you to know your user id in order to retrieve your current user information.

get
https://{your-bynder-domain}/api/v4/currentUser/

Response

200 application/json

Successful response

activeboolean
addressstring
cellphoneNumberstring
citystring
companyNamestring
costCenterstring
countrystring
countystring
departmentstring
departmentCodestring
emailstring
employeeNumberstring
firstnamestring
genderstring
idstring
infixstring
isSSOOnlyboolean
jobstring
languagestring
lastLoginstring(date-time)
lastnamestring
legalEntitystring
persistedboolean
phoneNumberstring
postalCodestring
profileIdstring
statestring
termsstring
timeZonestring
usernamestring
get/api/v4/currentUser/
 
200 application/json